#!/bin/sh
# 
# autoconfpostfix.sh - Configure Postfix to use the autocrypt milter
# 
# Copyright © 2012 Björn Påhlsson
# 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see
# <http://www.gnu.org/licenses/>.
# 
# Contact the author at <belorn@recompile.se>.

milters=unix:/autocryptsock
old_milters="`postconf -h smtpd_milters`"
if [ -n "$old_milters" ]; then
    milters="$milters, $old_milters"
fi

if ! postconf -e smtpd_milters="$milters"; then
    echo "Failed to set smtpd_milters - aborting"
    exit 1
fi

if [ -z "$old_milters" ]; then
    if ! postconf -e milter_default_action=accept; then
	echo "Failed to set smtpd_milters - aborting"
	exit 1
    fi
else
    echo "Multiple milters detected, not changing milter_default_action."
fi
invoke-rc.d postfix reload

